# ESB_ATTRSPECS_T

This structure is used by EsbOtlSetAttributeSpecifications() to set attribute specifications for the outline, and by EsbOtlGetAttributeSpecifications() and EsbGetAttributeSpecifications() to get attribute specifications for the outline.

    Type ESB_ATTRSPECS_T
      DefaultTrueString      As String * ESB_MBRNAMELEN
      DefaultFalseString     As String * ESB_MBRNAMELEN
      DefaultAttrCalcDimName As String * ESB_MBRNAMELEN
      DefaultSumMbrName      As String * ESB_MBRNAMELEN
      DefaultCountMbrName    As String * ESB_MBRNAMELEN
      DefaultAverageMbrName  As String * ESB_MBRNAMELEN
      DefaultMinMbrName      As String * ESB_MBRNAMELEN
      DefaultMaxMbrName      As String * ESB_MBRNAMELEN
      GenNameBy              As Integer
      UseNameOf              As Integer
      Delimiter              As Integer
      DateFormat             As Integer
      BucketingType          As Integer
    End Type

VB Data Type | Field | Description
As String * ESB_MBRNAMELEN | DefaultTrueString | The string used with the boolean attribute to indicate TRUE. The default value is ESB_DEFAULT_TRUESTRING ("True").
As String * ESB_MBRNAMELEN | DefaultFalseString | The string used with the boolean attribute to indicate FALSE. The default value is ESB_DEFAULT_FALSESTRING ("False").
As String * ESB_MBRNAMELEN | DefaultAttrCalcDimName | The name of the attribute calculations (aggregate) dimension. The default value is ESB_DEFAULT_ATTRIBUTECALCULATIONS ("Attribute Calculations").
As String * ESB_MBRNAMELEN | DefaultSumMbrName | The name used with the attribute calculations (aggregate) dimension to indicate SUM. The default value is ESB_DEFAULT_SUM ("Sum").
As String * ESB_MBRNAMELEN | DefaultCountMbrName | The name used with the attribute calculations (aggregate) dimension to indicate COUNT. The default value is ESB_DEFAULT_COUNT ("Count").
As String * ESB_MBRNAMELEN | DefaultAverageMbrName | The name used with the attribute calculations (aggregate) dimension to indicate AVERAGE. The default value is ESB_DEFAULT_AVERAGE ("Average").
As String * ESB_MBRNAMELEN | DefaultMinMbrName | The name used with the attribute calculations (aggregate) dimension to indicate MINIMUM. The default value is ESB_DEFAULT_MIN ("Min").
As String * ESB_MBRNAMELEN | DefaultMaxMbrName | The name used with the attribute calculations (aggregate) dimension to indicate MAXIMUM. The default value is ESB_DEFAULT_MAX ("Max").
As Integer | GenNameBy | A constant identifier indicating whether to use the generation(s) of the zero-level member as the prefix or the suffix when generating a long name: ESB_GENNAMEBY_PREFIX (the default value) ESB_GENNAMEBY_SUFFIX
As Integer | UseNameOf | A constant identifier indicating which generation(s) of the zero-level member to use when generating a long name: ESB_USENAMEOF_NONE (the default value) ESB_USENAMEOF_PARENT ESB_USENAMEOF_GRANDPARENTANDPARENT ESB_USENAMEOF_ALLANCESTORS ESB_USENAMEOF_DIMENSION
As Integer | Delimiter | A constant identifier indicating the delimiter to use when generating a long name: ESB_DELIMITER_UNDERSCORE (the default value) ESB_DELIMITER_PIPE ESB_DELIMITER_CARET
As Integer | DateFormat | A constant identifier indicating the format for a datetime attribute: ESB_DATEFORMAT_MMDDYYYY (the default value) ESB_DATEFORMAT_DDMMYYYY
As Integer | BucketingType | A constant identifier indicating a numeric attribute's bucketing type: ESB_UPPERBOUNDINCLUSIVE (the default value) ESB_UPPERBOUNDNONINCLUSIVE ESB_LOWERBOUNDINCLUSIVE ESB_LOWERBOUNDNONINCLUSIVE